package com.hzya.frame.mdm.entity;


import com.hzya.frame.sys.entity.TemplateKeyValue;

import java.util.List;

public class MdmQuery {

	//分页
	private Integer pageNum;
	//分页
	private Long mdmCode;
	private Integer pageSize;
	//表名
	private String tableName;
	//查询条件
	private List<TemplateKeyValue> queryCondition;
	//返回字段
	private List<String> returnField;
	//明细表查询条件
	private List<MdmQuery> detailQueryCondition;
	//小写字段
	private List<String> fields;

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public List<TemplateKeyValue> getQueryCondition() {
		return queryCondition;
	}

	public void setQueryCondition(List<TemplateKeyValue> queryCondition) {
		this.queryCondition = queryCondition;
	}

	public List<String> getReturnField() {
		return returnField;
	}

	public void setReturnField(List<String> returnField) {
		this.returnField = returnField;
	}

	public List<MdmQuery> getDetailQueryCondition() {
		return detailQueryCondition;
	}

	public void setDetailQueryCondition(List<MdmQuery> detailQueryCondition) {
		this.detailQueryCondition = detailQueryCondition;
	}

	public Long getMdmCode() {
		return mdmCode;
	}

	public void setMdmCode(Long mdmCode) {
		this.mdmCode = mdmCode;
	}

    public List<String> getFields() {
        return fields;
    }

    public void setFields(List<String> fields) {
        this.fields = fields;
    }
}
